CocoaPods 升级新版本问题

在公司把cocoapods升级到1.8.3版本之后,开始出现了问题,pod install和pod search都失效。

执行pod install 之后,会一直卡在

Analyzing dependencies

然后更新到cocoapods1.8.4, 问题依然存在。

超时之后,会提示下面的错误

[!] CDN: trunk Repo update failed

按照网上找到的教程,在podfile文件第一行添加 source,

 source 'https://mirrors.tuna.tsinghua.edu.cn/git/CocoaPods/Specs.git'

再次执行pod install, 在下面的情况卡住

Analyzing dependencies
Cloning spec repo `cocoapods` from `https://github.com/CocoaPods/Specs.git`

解决方案

CocoaPods 1.8将CDN切换为默认的spec repo源是trunk源,podfile文件中一定要指定master源。
但我们更改源之后还不能使用,可能与我们的网络有一定关系,下面是我的解决方案。

首先更改源,因为试过几个常用的,都不好使,所以我改用了清华大学的源。

下面摘自清华大学开源软件镜像站

新版的 CocoaPods 不允许用pod repo add直接添加master库了,但是依然可以:

$ cd ~/.cocoapods/repos 
$ pod repo remove master
$ git clone https://mirrors.tuna.tsinghua.edu.cn/git/CocoaPods/Specs.git master

最后进入自己的工程,在自己工程的podFile第一行加上:

source 'https://mirrors.tuna.tsinghua.edu.cn/git/CocoaPods/Specs.git'

完事之后记得remove trunk ,执行下面的命令

pod repo remove trunk

如果不执行remove还可能会出现 CDN:trunk 的问题。

阅读 2.1k

推荐阅读

记录技术学习和进阶的过程

3 人关注
28 篇文章
专栏主页